Page 1 of 1

problem building 2.9.2 on os x lion

Posted: Fri Aug 05, 2011 1:24 am
by starwars-chewie
I'm trying to build on os x lion. The error is shown below.

Any ideas on how to fix?

Thanks in advance


make
/Users/dfab1954/projects/wxWidgets-2.9.2/build_cocoa_debug/bk-deps g++ -mmacosx-version-min=10.5 -c -o corelib_utils_osx.o -I./.pch/wxprec_corelib -D__WXOSX_COCOA__ -DWXBUILDING -I/Users/dfab1954/projects/wxWidgets-2.9.2/build_cocoa_debug/src/tiff/libtiff -I../src/tiff/libtiff -I../src/jpeg -I../src/png -I../src/regex -DwxUSE_BASE=0 -Wall -Wundef -Wunused-parameter -Wno-ctor-dtor-privacy -Woverloaded-virtual -Wno-deprecated-declarations -D_FILE_OFFSET_BITS=64 -I/Users/dfab1954/projects/wxWidgets-2.9.2/build_cocoa_debug/lib/wx/include/osx_cocoa-unicode-static-2.9 -I../include -DWX_PRECOMP -g -O0 -fno-common ../src/osx/utils_osx.cpp
../src/osx/utils_osx.cpp: In function ‘int wxDisplayDepth()’:
../src/osx/utils_osx.cpp:72: error: ‘CGDisplayBitsPerPixel’ was not declared in this scope
make: *** [corelib_utils_osx.o] Error 1

Re: problem building 2.9.2 on os x lion

Posted: Wed Aug 10, 2011 2:11 pm
by starwars-chewie
Hi All,

Is there a Mac OS wxWidgets developer I could contact that might be able to help?

Thanks

Re: problem building 2.9.2 on os x lion

Posted: Wed Aug 10, 2011 2:38 pm
by Auria
Hi,

I recommend posting on the wx-users mailing list, you can reach the wxOSX developers there

Re: problem building 2.9.2 on os x lion

Posted: Sun Aug 14, 2011 12:20 pm
by twhsu
I have the same issue and solved it with the command as below before "make".

../configure --enable-unicode --enable-debug --disable-shared --with-osx_cocoa --with-macosx-sdk=/Developer/SDKs/MacOSX10.6.sdk --with-macosx-version-min=10.5

, using the info from http://www.mail-archive.com/wxperl-user ... 02849.html

After "make", I could build samples successfully.